Bug 46238 - bind9: Multiple issues (4.2)
bind9: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
All Linux
: P3 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-07 15:31 CET by Philipp Hahn
Modified: 2018-04-18 14:15 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-02-07 15:31:40 CET
New Debian bind9 1:9.9.5.dfsg-9+deb8u15A~4.2.3.201802061643 fixes:
This update addresses the following issues:
* Addresses could be referenced after being freed in resolver.c, causing an
  assertion failure. (CVE-2017-3145)
* Import upcoming DNSSEC KSK-2017 from 9.10.5

CVE-2017-3145 bind: Improper fetch cleanup sequencing in the resolver can cause named to crash
Comment 1 Philipp Hahn univentionstaff 2018-02-07 15:55:52 CET
d74bc413f1 Bug #46238: bind9_9.9.5.dfsg-9+deb8u15
Comment 2 Arvid Requate univentionstaff 2018-04-12 18:40:25 CEST
Verified:
* Upstream source package imported
* UCS patches applied during built
* Package update works
* Advisory: Ok
Comment 3 Arvid Requate univentionstaff 2018-04-18 14:15:58 CEST
<http://errata.software-univention.de/ucs/4.2/327.html>